// circleMapper.h: interface for the circleMapper class.

#pragma once
#include <math.h>

class circleMapper
{
private:
	double slope,intercept;
	int xres,yres;
	int numbins;	   //xres*yres
	double* binvalues; //array of data with indicies 0-xres being the lowest row of the image.
	
public:
	circleMapper(double slp, double intcpt, int xresolution, int yresolution);
	virtual ~circleMapper();

	bool loadImage(const char* imageFileName);
	bool printGridToK(FILE* fk,double maxPressure,int nodenum);
	bool printNodesToK(FILE* fk,int nodeStart);

};
